Error while installing Dynamic Code Evolution VM (DCE) with Java 8

I am running Ubuntu 17.04 (64-bit) with Java 8. I am facing following error while installing Dynamic Code Evolution VM (DCE) with Java 8.

Could not find data/64/lib/amd64/server/libjvm.so in jar-file.

enter image description here

I have tried to put amd64 libraries in classpath as:

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/jvm/java-8-oracle/jre/lib/amd64/:/usr/lib/jvm/java-8-oracle/jre/lib/amd64/server/

It didn't work.

Also, I created /etc/ld.so.conf.d/java.conf file and added following lines to it:

/usr/lib/jvm/java-8-oracle/jre/lib/amd64
/usr/lib/jvm/java-8-oracle/jre/lib/amd64/server

And then executed following command:

sudo ldconfig

It didn't work either. Kindly share some pointers. Thanks.

728x90

1 Answers Error while installing Dynamic Code Evolution VM (DCE) with Java 8

Used latest executable from forked Project of DCEVM Project on GitHub. It worked!

2 year ago